//-----------------------------------------
// LScript Modeler template
//
// Copyright 2018 Michael Green
// mike@mikegreen.name
//

myversion=1.1;
//1.1 Added a min value to reduce number of close lines
@version 2.2
@warnings
@script modeler

// global values go here

main
{
    // requester code goes here
	mymin=recall("Mymin",0);
	mymax=recall("Mydistance",1);
    reqbegin("MG Build Web Version "+myversion);

    c0 = ctldistance("Min Distance",mymin);
    c1 = ctldistance("Max Distance",mymax);

    return if !reqpost();

    // get requester control values here
	mymin=getvalue(c0);
	mymax=getvalue(c1);
	store("Mymin",mymin);
	store("Mydistance",mymax);
    reqend();

    // processing code goes here
    selmode(USER);
    editbegin();
    mypoints=points;
    editend();
//    undogroupbegin();
    selpoint(SET,POINTID,mypoints);
    copy();
    mylyr=lyrempty();
    lyrsetfg(mylyr[1]);
    paste();
    editbegin();
    mynewpoints=points;
    for (i=1;i<=mynewpoints.size() - 1;i++)
    {
		for(j=i+1;j<=mynewpoints.size();j++)
		{
			myline=@mynewpoints[i],mynewpoints[j]@;
			mylength= vmag(pointinfo(mynewpoints[i]) - pointinfo(mynewpoints[j]));
			if((!mymax || mylength<mymax) && mylength>mymin)
				addpolygon(myline);
		}
	}
//	undogroupend();

}